[arch-dev-public] Upgrading gnupg to 2.0 branch, removing gnupg2

Thomas Bächler thomas at archlinux.org
Mon Mar 19 11:44:42 EDT 2012

Am 19.03.2012 16:35, schrieb Gaetan Bisson:
> [2012-03-19 13:09:29 +0100] Thomas Bächler:
>> you always need a gpg-agent with
>> 2.0, which will break on headless systems.
> What do you mean? I'm running gpg-agent fine on a headless system.

Confusing statements in that mail:

"In case you really really don't want the Pinentry, 2.1 will eventually
offer you a way to use the passphrase in the same as done in 1.4."

This let me believe that you cannot use gnupg 2.x without an agent and a
pinentry program. Enlighten me.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 900 bytes
Desc: OpenPGP digital signature
URL: <http://mailman.archlinux.org/pipermail/arch-dev-public/attachments/20120319/b02fc741/attachment.asc>

More information about the arch-dev-public mailing list